<!DOCTYPE html>
<html lang="zxx">

<head>
  <meta charset="utf-8">
  <title>MDEF 2019-2020 Portfolio Temaplate</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="plugins/themify/css/themify-icons.css">
  <link rel="stylesheet" href="plugins/counto/animate.css">
  <link rel="stylesheet" href="plugins/aos/aos.css">
  <link rel="stylesheet" href="plugins/owl-carousel/owl.carousel.min.css">
  <link rel="stylesheet" href="plugins/owl-carousel/owl.theme.default.min.css">
  <link rel="stylesheet" href="plugins/magnific-popup/magnific-popup.css">
  <link rel="stylesheet" href="plugins/animated-text/animated-text.css">

  <!-- Main Stylesheet -->
  <link href="css/style.css" rel="stylesheet">

</head>

<body>

<!-- Navigation Start -->
<!-- Header Start -->

<nav class="navbar navbar-expand-lg  main-nav " id="navbar">
	<div class="container">
	  <a class="navbar-brand" href="index.html">
	  	<img src="pangea.png" height="150" width="150" alt="" class="img-fluid">
	  </a>

	  <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarsExample09" aria-controls="navbarsExample09" aria-expanded="false" aria-label="Toggle navigation">
		<span class="ti-align-justify"></span>
	  </button>
    <div class="collapse navbar-collapse" id="navbarsExample09">
    <ul class="navbar-nav ml-auto">
      <li class="nav-item  active"><a class="nav-link" href="index.html">Return</a></li>
			</ul>
		</div>
	</div>
</nav>

<!-- Header Close -->



<section class="page-title section pb-0">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="text-center">
          <h1 class="text-capitalize mb-0 text-lg">Principles & Program Management</h1>
        </div>
      </div>
    </div>
  </div>
</section>

   <div>
		<div class="row justify-content-center">
			<div class="col-lg-8">
				<div class="project-info">
					<h3 class="mb-4">Twebsite on GitLab</h3>

          <div class="my-5">
  					<img src="atom.png" alt="" class="img-fluid w-100">
  				</div>

					<p>I installed ATOM and and after trying to make changes, I decided to rely on a tutorial so I studied where to start and the documentation started. A little slow as I was not able to understand immediately how we worked on this program. Steps to create the repository in GitLab: Installed git on our computer from the GitLab website. We created our accounts in GitLab with our IAAC emails. We had to open our Terminal and Add out Git username and set out email using this commad: git config –-global user.name “YOUR_USERNAME”.
      <div>
        <p>And configure our email address for uploading with this command : git config -–global user.email “yourname@students.iaac.net”.
          <div>
            <p>Then check the SSH KEY:ssh-keygen -t rsa -C "$your_email" on the terminal
              <div>
             My website is hosted via github and I used the platform Atom to add codes and files to publish. I added a "fabacadmey" section to show what I did during this master at IaaC institute.  I built my own website using a new CSS and html. I'm using Atom to push my content using a folder stucture on my computer IAAC > GIT > twebsite. When finishing the changes you want to make, press this button and click on "Stage All" - to upload the files you want to change. Write a "Commit message" - things you changed or added at this time. "Commit to master" - uploaded-half-way. "Push" to finally upload the files.</p>
             <p>In the past three months I have had some problems updating the site with new content as after the first broken pipeline I have continued to try and send files. In the hope that the problem would be resolved I continued to try removing and changing photos. This created an even bigger problem, while before the problem was the GB of the videos in MP4 now the problem is that the accumulation of the files in the folder on the PC plus all the removals that did not occur due to the broken Pipeline.</p>

         <div class="my-5">
           <img src="giga.jpg" alt="" class="img-fluid w-100">
         </div>

          <div class="my-5">
            <img src="merge.jpg" alt="" class="img-fluid w-100">
          </div>

          <div class="my-5">
  					<img src="failed.jpg" alt="" class="img-fluid w-100">
  				</div>

          <div class="my-5">
  					<img src="tooheight.jpg" alt="" class="img-fluid w-100">
  				</div>
          <p>The error has always given me the same, he always repeated that the weight of the files was too much. I removed all the videos in .mp4 and uploaded them all on youtube so that the weight was reduced a lot. Despite this operation, the problem persisted and I no longer knew how to operate. I asked Oscar for help and he began to understand what was the problem that prevented me from pushing on Atom. We worked directly from the Terminal without going through Atom and we entered a code that would dastroically remove the files from the repo.</p>


          <div class="my-5">
            <img src="delete.jpg" alt="" class="img-fluid w-100">
          </div>

          <div class="my-5">
            <img src="success.jpg" alt="" class="img-fluid w-100">
          </div>


          <div class="my-5">
            <img src="itworks.jpg" alt="" class="img-fluid w-100">
          </div>

          <p>Now, if you go to your repository you can see that the repo is working and uploading the changes. You just need to wait until it finishes to see the changes. After this operation, finally, the site is back to be connected to the repo and all the updates have been loaded. I have the site again. I learned many things in this bankruptcy process. Whenever you make between three and five changes you have to send the files on the repo to avoid that there are too many GB to send. Every time you send them you have to wait for the positive response from the github so that you can continue the changes without accumulating files. Another important thing is the resolution of the images and files that are uploaded to the site. Images must not exceed 1000 KB.And finally the videos are put on youtube as the weight of a single video can be too heavy for the site.</p>

          <div class="my-5">
            <img src="twebsi.jpg" alt="" class="img-fluid w-100">
          </div>

          <h3 class="mb-4">Project - Kit and tools</h3>


            <p>The project of my final work is not yet 100% defined but I know that I would like to make a kit that contains objects, tools and a paper guide.</p>
            <div>
            <p>To define exactly the tools to be inserted inside I will need to carry out workshops that will lead me to have the clearest ideas.<p>
          <div>
          <p>I told this briefly because my plan is to make a kit with instructions. A kit that allows you to repeat and share the project continuously with the possibility of increasing it whenever there are things to remove, add or meditate.</p>
          <p>The project will involve the following: laser cutting - 3d printing - cnc machine and materials like Plywood, Pla and alluminium.


				</div>

        <div class="my-5">
          <img src="kitbox3.jpg" alt="" class="img-fluid w-100">
        </div>
        <p>The idea is to create a tool box, made by laser cutting with Plywood. Inside there will be several compartments where the various tools are positioned. The idea is to create the design of the box covered by joints without using screws or nails.</p>
        <div class="my-5">
          <img src="kitbox.jpg" alt="" class="img-fluid w-100">
        </div>
        <p>If at the end of the project I will also make the kit to take home, I thought it could be very useful to make the box even a work surface in order not to ruin the support table at home.</p>
        <div class="my-5">
          <img src="kitbox2.jpg" alt="" class="img-fluid w-100">
        </div>
          <div>


        <div>
         <div>
          <div>



<section class="footer">
	<div class="container">
		<div class="row ">
			<div class="col-lg-6">
				<p class="mb-0">Copyrights © 2019. Designed & Developed by <a href="themefisher.com" class="text-white">Themefisher</a></p>
			</div>
			<div class="col-lg-6">
				<div class="widget footer-widget text-lg-right mt-5 mt-lg-0">
					<ul class="list-inline mb-0">
						<li class="list-inline-item"><a href="https://www.facebook.com/themefisher" target="_blank"><i class="ti-facebook mr-3"></i></a>
						</li>
						<li class="list-inline-item"><a href="https://twitter.com/themefisher" target="_blank"><i class="ti-twitter mr-3"></i></a>
						</li>
						<li class="list-inline-item"><a href="https://github.com/themefisher/" target="_blank"><i class="ti-github mr-3"></i></a></li>
						<li class="list-inline-item"><a href="https://www.pinterest.com/themefisher/" target="_blank"><i class="ti-pinterest mr-3"></i></a></li>
						<li class="list-inline-item"><a href="https://dribbble.com/themefisher/" target="_blank"><i class="ti-dribbble mr-3"></i></a></li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- jQuery -->
<script src="plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="plugins/bootstrap/bootstrap.min.js"></script>
<script src="plugins/aos/aos.js"></script>
<script src="plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="plugins/shuffle/shuffle.min.js"></script>
<script src="plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="plugins/animated-text/animated-text.js"></script>
<script src="plugins/counto/apear.js"></script>
<script src="plugins/counto/counTo.js"></script>

 <!-- Google Map -->
<script src="plugins/google-map/map.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAkeLMlsiwzp6b3Gnaxd86lvakimwGA6UA&callback=initMap"></script>
<!-- Main Script -->
<script src="js/script.js"></script>

</html>
